'use strict';

/**
 @author Felipe Vargas RIC felipengine@gmail.com
*A module for inject  and centralize the instruction for each LO, by the way all the instruction will be into this file 
*and everybody could know them 
*@Module sgInstruction  
*/

define(['jquery'], function($) {

	var app = {};


	var instructionVector=[
		{
			id:"i1",
			value:"<h4> Hacer clic en las pestañas para visualizar <span class='icon_ins icon_click_tab'> </span> </h4>"
		},
		{
			id:"i2",
			value:"<h4>Hacer clic en los botones para visualizar <span class='icon_ins icon_click'> </span> </h4>"
		},
		{
			id:"i3",
			value:"<h4>Hacer clic en el play para reproducir <span class='icon_ins icon_video'></span> </h4>"
		},
		{
			id:"i4",
			value:"<h4>Arrastra con el mouse para unir con una línea <span class='icon_ins icon_join_lines'></span> </h4>"
		},
		{
			id:"i5",
			value:"<h4>Arrastra con el mouse para unir las piezas de la columna izquierda con la columna derecha  <span class='icon_ins icon_join_columns'> </span>                   </h4>"
		},
		{
			id:"i6",
			value:"<h4>Hacer clic sostenido en los botones para arrastrar <span class='icon_ins icon_drag'> </span> </h4>"
		},
		{
			id:"i7",
			value:"<h4 >Hacer clic para hacer zoom <span class='icon_ins icon_zoom'></span></h4>"
		},
		{
			id:"i8",
			value:"<h4> Hacer clic sobre las preguntas para visualizar <span class='icon_ins icon_number_button'></span> </h4>"
		},
		{
			id:"i9",
			value:"<h4> Hacer clic en el botón para desplazarte <span class='icon_ins icon_button_next'> </span> </h4>"
		},
		{
			id:"i10",
			value:"<h4> Hacer clic en el botón para visualizar respuesta <span class='icon_ins icon_button_question'> </span>  </h4>"
		},
		{
			id:"i11",
			value:"<h4> Hacer clic en los botones para desplegar <span class='icon_ins icon_button_sequence'></span> </h4>"
		}
	]

	function findIns(idElement){
		
		for (var i=0; i< instructionVector.length ; i++){
			var currentIns=instructionVector[i];
			if(currentIns.id == idElement )
				return $(currentIns.value).attr('id',idElement);
		}
		console.error('instruction '+idElement + " doesn't exist");
		return "";

	}
	var containerIns;
	app.init = function(){
		containerIns=$('.act_instruction').eq(0);
		var strIns=containerIns.attr('data-sg-instructions');
		var strHideIns=containerIns.attr('data-sg-hide-ins');
		if(strIns != undefined && strIns != ""){
			var vectInsIds=strIns.replace(/ /g,'').split(',');
			for(var i=0; i<vectInsIds.length; i++){
				var currentId=vectInsIds[i];
				containerIns.append(findIns(currentId));
			}
			$(strHideIns).hide();
		}
	}
	return app;
});